## cl-local-time 1.1.6

=== Makefile ===
# -*- Mode: makefile -*-
# $Id: Makefile,v 1.6 2002/01/18 01:40:58 apharris Exp $

# Makefile for LocalTime

SUBDIRS		:= 
DOCSUBDIRS	:= 

LISP		:= lisp

.PHONY: all wwwdist clean distclean install dist tags

all:
	@echo "nothing to be done"

dist:
	./make-dist.sh

wwwdist:
	@# subdirs not working
	@# set -e; for i in $(DOCSUBDIRS); do $(MAKE) -C $$i $@; done

tags:	TAGS

TAGS:	*.lisp
	etags *.lisp

freeze:
	@echo tagging with frozen tag
	cvs -q rtag -d frozen local-time
	cvs -q tag -F frozen .

clean:
	rm -f *.x86f *.sparcf *.ufsl *.fasl *.err *~ *.bak .\#* \#*

distclean:
	rm -f ChangeLog*
	rm -f TAGS
	./debian/rules clean

## cl-local-time 20140713

=== debian/changelog ===
cl-local-time (20140713-2) unstable; urgency=medium

  * Remove local-time own's zoneinfo information from package.

 -- Dimitri Fontaine <dim@tapoueh.org>  Tue, 02 Sep 2014 20:04:42 +0400

cl-local-time (20140713-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Tue, 05 Aug 2014 00:13:35 +0400

=== debian/control ===
Source: cl-local-time
Section: lisp
Priority: optional
Maintainer: Dimitri Fontaine <dim@tapoueh.org>
Build-Depends: debhelper (>= 7), quilt
Build-Depends-Indep: dh-lisp
Standards-Version: 3.9.5
Homepage: http://common-lisp.net/project/local-time/
Vcs-Git: git://github.com/dlowe-net/local-time.git
Vcs-Browser: http://github.com/dlowe-net/local-time

Package: cl-local-time
Architecture: all
Depends: ${misc:Depends}, cl-fad
Description: Common Lisp library for date and time manipulations
 local-time is a development library for manipulating date and time
 information in a semi-standard manner. It is based almost entirely off of
 Erik Naggum's paper, The Long, Painful History of Time.
 .
 It includes such features as: Time and date arithmetic, ISO 8601 timestring
 formatted output and parsing, Reader macros to embed timestrings directly
 in code, Timezone handling (will read unix tzfile format), Conversion
 between universal and unix time epochs, Julian date calculation.

## cl-local-time 20141217

=== debian/changelog ===
cl-local-time (20141217-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Thu, 18 Dec 2014 18:14:30 +0300

## cl-local-time 20150113

=== debian/changelog ===
cl-local-time (20150113-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Wed, 14 Jan 2015 00:57:18 +0300

## cl-local-time 20150407

=== debian/changelog ===
cl-local-time (20150407-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Sat, 02 May 2015 17:03:38 +0300

## cl-local-time 20150608

=== debian/changelog ===
cl-local-time (20150608-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Wed, 15 Jul 2015 16:45:20 +0300

## cl-local-time 20151218

=== debian/changelog ===
cl-local-time (20151218-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Sun, 17 Jan 2016 19:31:52 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Dimitri Fontaine <dim@tapoueh.org>
 Build-Depends: debhelper (>= 7), quilt
 Build-Depends-Indep: dh-lisp
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://common-lisp.net/project/local-time/
 Vcs-Git: git://github.com/dlowe-net/local-time.git
 Vcs-Browser: http://github.com/dlowe-net/local-time

## cl-local-time 20160318

=== debian/changelog ===
cl-local-time (20160318-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Wed, 06 Apr 2016 21:49:44 +0300

## cl-local-time 20160628

=== debian/changelog ===
cl-local-time (20160628-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Mon, 29 Aug 2016 21:55:50 +0300

## cl-local-time 20170630

=== doc/Makefile ===
# -*- Mode: Makefile; tab-width: 4; indent-tabs-mode: t -*-

all: docs

docs:
	sh gendocs.sh -o manual --html "--css-include=style.css" local-time "The local-time Manual"

clean:
	find . \( -name "*.info" -o -name "*.it" -o -name "*.aux" -o -name "*.cp" -o -name "*.fn" -o -name "*.fns" -o -name "*.ky" -o -name "*.log" -o -name "*.pg" -o -name "*.toc" -o -name "*.tp" -o -name "*.vr" -o -name "*.dvi" -o -name "*.cps" -o -name "*.vrs" \) -exec rm {} \;
	rm -rf manual

upload-docs:
	rsync -av --delete -e ssh manual common-lisp.net:/project/local-time/public_html/
#	scp -r manual spec common-lisp.net:/project/local-time/public_html/

# vim: ft=make ts=4 noet

=== debian/changelog ===
cl-local-time (20170630-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Thu, 06 Jul 2017 16:29:15 +0300

=== debian/rules ===
#!/usr/bin/make -f

pkg		:= local-time
clc-source	:= usr/share/common-lisp/source
clc-systems	:= usr/share/common-lisp/systems
clc-files	:= $(clc-source)/$(pkg)

%:
	dh $@ --with lisp --with quilt

override_dh_install:
	dh_install *.asd $(clc-files)
	dh_install src $(clc-files)
	dh_install test $(clc-files)

override_dh_link:
	dh_link $(clc-files)/$(pkg).asd $(clc-systems)/$(pkg).asd

override_dh_installdocs:
	dh_installdocs README

## cl-local-time 20180228

=== debian/changelog ===
cl-local-time (20180228-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Wed, 16 May 2018 09:49:19 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Dimitri Fontaine <dim@tapoueh.org>
 Build-Depends: debhelper (>= 7), quilt
 Build-Depends-Indep: dh-lisp
-Standards-Version: 3.9.6
+Standards-Version: 4.1.3
 Homepage: http://common-lisp.net/project/local-time/
 Vcs-Git: git://github.com/dlowe-net/local-time.git
 Vcs-Browser: http://github.com/dlowe-net/local-time
